Show / Hide Table of Contents

# Struct AgentMJIPouch.PouchInventoryData

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI.Agent

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct PouchInventoryData

### Fields

| Improve this Doc View Source

#### Inventory

##### Declaration

    public StdVector<PouchInventoryItem> Inventory

##### Field Value

Type | Description
--- | ---
StdVector<PouchInventoryItem> |

| Improve this Doc View Source

#### InventoryNames

##### Declaration

    public StdVector<Utf8String> InventoryNames

##### Field Value

Type | Description
--- | ---
StdVector<Utf8String> |

| Improve this Doc View Source

#### Materials

##### Declaration

    public StdVector<Pointer<PouchInventoryItem>> Materials

##### Field Value

Type | Description
--- | ---
StdVector<Pointer<PouchInventoryItem>> |

| Improve this Doc View Source

#### MJIItemPouchItemCount

##### Declaration

    public uint MJIItemPouchItemCount

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Produce

##### Declaration

    public StdVector<Pointer<PouchInventoryItem>> Produce

##### Field Value

Type | Description
--- | ---
StdVector<Pointer<PouchInventoryItem>> |

| Improve this Doc View Source

#### StockStores

##### Declaration

    public StdVector<Pointer<PouchInventoryItem>> StockStores

##### Field Value

Type | Description
--- | ---
StdVector<Pointer<PouchInventoryItem>> |

| Improve this Doc View Source

#### Tools

##### Declaration

    public StdVector<Pointer<PouchInventoryItem>> Tools

##### Field Value

Type | Description
--- | ---
StdVector<Pointer<PouchInventoryItem>> |